Package com.google.protobuf

# Class DescriptorProtos.ExtensionRangeOptions.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Builder>
com.google.protobuf.GeneratedMessage.ExtendableBuilder<DescriptorProtos.ExtensionRangeOptions,DescriptorProtos.ExtensionRangeOptions.Builder>
com.google.protobuf.DescriptorProtos.ExtensionRangeOptions.Builder

All Implemented Interfaces:
  `DescriptorProtos.ExtensionRangeOptionsOrBuilder`, `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.ExtensionRangeOptions>`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.ExtensionRangeOptions`

public static final class DescriptorProtos.ExtensionRangeOptions.Builder extends GeneratedMessage.ExtendableBuilder<DescriptorProtos.ExtensionRangeOptions,DescriptorProtos.ExtensionRangeOptions.Builder> implements DescriptorProtos.ExtensionRangeOptionsOrBuilder
Protobuf type `google.protobuf.ExtensionRangeOptions`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addAllDeclaration(Iterable<? extends DescriptorProtos.ExtensionRangeOptions.Declaration> values)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addAllUninterpretedOption(Iterable<? extends DescriptorProtos.UninterpretedOption> values)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration value)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration.Builder builderForValue)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addDeclaration(DescriptorProtos.ExtensionRangeOptions.Declaration value)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addDeclaration(DescriptorProtos.ExtensionRangeOptions.Declaration.Builder builderForValue)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`addDeclarationBuilder()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`addDeclarationBuilder(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addUninterpretedOption(DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addUninterpretedOptionBuilder()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addUninterpretedOptionBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.ExtensionRangeOptions`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.ExtensionRangeOptions.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.ExtensionRangeOptions.Builder`
`clearDeclaration()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`clearFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`clearUninterpretedOption()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`clearVerification()`
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Declaration`
`getDeclaration(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`getDeclarationBuilder(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`List<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder>`
`getDeclarationBuilderList()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`int`
`getDeclarationCount()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`List<DescriptorProtos.ExtensionRangeOptions.Declaration>`
`getDeclarationList()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
`getDeclarationOrBuilder(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`List<? extends DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder>`
`getDeclarationOrBuilderList()`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.FeatureSet`
`getFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.FeatureSet.Builder`
`getFeaturesBuilder()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`getUninterpretedOptionBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption.Builder>`
`getUninterpretedOptionBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.VerificationState`
`getVerification()`
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`
`boolean`
`hasFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`boolean`
`hasVerification()`
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.ExtensionRangeOptions.Builder`
`mergeFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.ExtensionRangeOptions.Builder`
`mergeFrom(DescriptorProtos.ExtensionRangeOptions other)`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.ExtensionRangeOptions.Builder`
`removeDeclaration(int index)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`removeUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration value)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration.Builder builderForValue)`
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.ExtensionRangeOptions.Builder`
`setVerification(DescriptorProtos.ExtensionRangeOptions.VerificationState value)`
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableBuilder

`addExtension, addRepeatedField, clearExtension, clearField, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtensionCount, getField, getFieldBuilder, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, hasExtension, hasField, mergeExtensionFields, newBuilderForField, parseUnknownField, setExtension, setExtension, setField, setRepeatedField`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`clearOneof, clone, getOneofFieldDescriptor, getParentForChildren, getUnknownFields, getUnknownFieldSetBuilder, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, onBuilt, onChanged, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Builder>`

### clear

public DescriptorProtos.ExtensionRangeOptions.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.ExtendableBuilder<DescriptorProtos.ExtensionRangeOptions,DescriptorProtos.ExtensionRangeOptions.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.ExtensionRangeOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.ExtensionRangeOptions>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.ExtensionRangeOptions build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.ExtensionRangeOptions buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.ExtensionRangeOptions.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Builder>`

### mergeFrom

public DescriptorProtos.ExtensionRangeOptions.Builder mergeFrom(DescriptorProtos.ExtensionRangeOptions other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.ExtendableBuilder<DescriptorProtos.ExtensionRangeOptions,DescriptorProtos.ExtensionRangeOptions.Builder>`

### mergeFrom

public DescriptorProtos.ExtensionRangeOptions.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.ExtensionRangeOptions.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getUninterpretedOptionList

public List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionList` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### getUninterpretedOptionCount

public int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionCount` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### getUninterpretedOption

public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOption` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### setUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### setUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addAllUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder addAllUninterpretedOption(Iterable<? extends DescriptorProtos.UninterpretedOption> values)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### clearUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder clearUninterpretedOption()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### removeUninterpretedOption

public DescriptorProtos.ExtensionRangeOptions.Builder removeUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder getUninterpretedOptionBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### getUninterpretedOptionOrBuilderList

public List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### addUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionBuilderList

public List<DescriptorProtos.UninterpretedOption.Builder> getUninterpretedOptionBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getDeclarationList

public List<DescriptorProtos.ExtensionRangeOptions.Declaration> getDeclarationList()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

Specified by:
  `getDeclarationList` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### getDeclarationCount

public int getDeclarationCount()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

Specified by:
  `getDeclarationCount` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### getDeclaration

public DescriptorProtos.ExtensionRangeOptions.Declaration getDeclaration(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

Specified by:
  `getDeclaration` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### setDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder setDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration value)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### setDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder setDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration.Builder builderForValue)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### addDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder addDeclaration(DescriptorProtos.ExtensionRangeOptions.Declaration value)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### addDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder addDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration value)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### addDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder addDeclaration(DescriptorProtos.ExtensionRangeOptions.Declaration.Builder builderForValue)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### addDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder addDeclaration(int index, DescriptorProtos.ExtensionRangeOptions.Declaration.Builder builderForValue)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### addAllDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder addAllDeclaration(Iterable<? extends DescriptorProtos.ExtensionRangeOptions.Declaration> values)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### clearDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder clearDeclaration()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### removeDeclaration

public DescriptorProtos.ExtensionRangeOptions.Builder removeDeclaration(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclarationBuilder

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder getDeclarationBuilder(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclarationOrBuilder

public DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder getDeclarationOrBuilder(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

Specified by:
  `getDeclarationOrBuilder` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### getDeclarationOrBuilderList

public List<? extends DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder> getDeclarationOrBuilderList()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

Specified by:
  `getDeclarationOrBuilderList` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### addDeclarationBuilder

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder addDeclarationBuilder()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### addDeclarationBuilder

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder addDeclarationBuilder(int index)
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### getDeclarationBuilderList

public List<DescriptorProtos.ExtensionRangeOptions.Declaration.Builder> getDeclarationBuilderList()
`repeated .google.protobuf.ExtensionRangeOptions.Declaration declaration = 2 [json_name = "declaration", retention = RETENTION_SOURCE];`

### hasFeatures

public boolean hasFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Specified by:
  `hasFeatures` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`
Returns:
  Whether the features field is set.

### getFeatures

public DescriptorProtos.FeatureSet getFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Specified by:
  `getFeatures` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`
Returns:
  The features.

### setFeatures

public DescriptorProtos.ExtensionRangeOptions.Builder setFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### setFeatures

public DescriptorProtos.ExtensionRangeOptions.Builder setFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### mergeFeatures

public DescriptorProtos.ExtensionRangeOptions.Builder mergeFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### clearFeatures

public DescriptorProtos.ExtensionRangeOptions.Builder clearFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### getFeaturesBuilder

public DescriptorProtos.FeatureSet.Builder getFeaturesBuilder()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### getFeaturesOrBuilder

public DescriptorProtos.FeatureSetOrBuilder getFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Specified by:
  `getFeaturesOrBuilder` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`

### hasVerification

public boolean hasVerification()
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

Specified by:
  `hasVerification` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`
Returns:
  Whether the verification field is set.

### getVerification

public DescriptorProtos.ExtensionRangeOptions.VerificationState getVerification()
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

Specified by:
  `getVerification` in interface `DescriptorProtos.ExtensionRangeOptionsOrBuilder`
Returns:
  The verification.

### setVerification

public DescriptorProtos.ExtensionRangeOptions.Builder setVerification(DescriptorProtos.ExtensionRangeOptions.VerificationState value)
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

Parameters:
  `value` - The verification to set.
Returns:
  This builder for chaining.

### clearVerification

public DescriptorProtos.ExtensionRangeOptions.Builder clearVerification()
`optional .google.protobuf.ExtensionRangeOptions.VerificationState verification = 3 [default = UNVERIFIED, json_name = "verification", retention = RETENTION_SOURCE];`

Returns:
  This builder for chaining.